All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class TransformTextCell

    com.sas.table.TransformTextCell

All Implemented Interfaces:
  com.sas.lang.ObjectDataInterface, com.sas.lang.StringDataInterface, CellViewInterface

    public class TransformTextCell

TransformTextCell is a subclass of TextCell that provides the ability to transform data on input, output and/or for display. Currently, only the display transform is supported.

A common usage of TransformTextCell may be for a password entry cell. This can be done by using the `EchoCharacterTransform` as the display transform.

See Also:
  `EchoCharacterTransform`, `TransformInterface`

Field Summary
`static java.lang.String` | `DISPLAY_TRANSFORM` Property id for display transform.
`static java.lang.String` | `INPUT_TRANSFORM` Input transform is not currently used.
`static java.lang.String` | `OUTPUT_TRANSFORM` Output transform is not currently used.

Fields inherited from class com.sas.table.CellView
`cell`

Fields inherited from interface com.sas.table.CellViewInterface
`FORMATTED_DATA, RAW_DATA`

Constructor Summary
`TransformTextCell()`

Method Summary

Methods inherited from class com.sas.table.TextCell
`getCaretPosition, getFormattedData, getMaximumStringWidth, getMinimumStringWidth, getMinimumWidth, getObjectData, getPreferredHeight, getPreferredInputType, getPreferredOutputType, getPreferredWidth, getText, isCharacterValid, isPartiallyDisplayed, onActiveStateChanged, paint, processFocusEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, setFormattedData, setMaximumStringWidth, setMinimumStringWidth, setObjectData, setText`

Methods inherited from class com.sas.table.CellView
`getCell, getMinimumHeight, setCell`

Field Detail

### INPUT_TRANSFORM

    public static final java.lang.String INPUT_TRANSFORM

  Input transform is not currently used.

  See Also:
    Constant Field Values

### OUTPUT_TRANSFORM

    public static final java.lang.String OUTPUT_TRANSFORM

  Output transform is not currently used.

  See Also:
    Constant Field Values

### DISPLAY_TRANSFORM

    public static final java.lang.String DISPLAY_TRANSFORM

  Property id for display transform.

  See Also:
    Constant Field Values

Constructor Detail

### TransformTextCell

    public TransformTextCell()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.